        <?php
        require ('../system/db.php');
        $tpl->Head('Вывод средств');
        if(!isset($user['id'])){
            header('Location: /');
            exit;
        }
        
        $all = $db->prepare('SELECT * FROM `moneyback` WHERE `user` = ?');
        $all -> execute([$user['id']]);
        $all =$all ->fetchAll();
        
        if(isset($_POST['money'])){
                  $money = htmlspecialchars(trim($_POST['money']));
                     $type = htmlspecialchars(trim($_POST['type']));
                  if($money > $user['money']){
                      $_SESSION['error'] = 'Не достаточно средств';
                      header('Location: /user/moneyback.php');
                      exit;
                  }
                    if($money <= 0){
                        $_SESSION['error'] = 'Не корректная сумма';
                      header('Location: /user/moneyback.php');
                      exit;
                    }
                  
                  $plus = $db->prepare('UPDATE `users` SET `money` = ? WHERE `id` = ?');
                  $plus -> execute([$user['money']-$money,$user['id']]);
                  $mb = $db->prepare('INSERT INTO `moneyback` (`user`,`money`,`time`,`type`) VALUES (?,?,?,?)');
                  $mb -> execute([$user['id'],$money,time(),$type]);
                  $_SESSION['message'] = 'Заявка на вывод создана';
                  header('Location: /user/moneyback.php');
                  exit;
            
              }
            ?>
           
        
     
        
        <div class="port"><img src="/img/port2.png" alt="icon" /> История выводов</div>
<div class="error">Вывод будет производится только на введённые кошельки в личном кабинете</div>
<div class="error">Для вывода заполните в кабинете любой из реквизитов [WMR/Yandex/QIWI]<br/>
Минимальная сумма:<br/>
WMR: 2 Rub<br/>
QIWI: 2 Rub<br/>
Yandex: 50 Rub</div>
<div class="menu">
		<form method="post" action="">
		Введите сумму:<br/>
		<input type="text" name="money" value="<?=$user['money'];?>"><br/>
		Кошелек для вывода:
		<?if(!empty($user['wmr'])){?><input type="radio" name="type" value="1"> WebMoney</br><?}?>
		<?if(!empty($user['qiwi'])){?><input type="radio" name="type" value="2"> QIWI</br><?}?>
		<?if(!empty($user['yandex'])){?><input type="radio" name="type" value="1"> Яндекс Деньги<?}?>
		<input type="submit" value="Вывести"><br/>
		</form></div>
<div class="menu">
<?if(count($all) == 0){?>
		<div class="error">История отсутствует!</div>
	
	<?}else{
	foreach($all as $res){
	?>
	Вывод на сумму <?=$res['money'];?> Rub. (<?=vremja($res['time']);?>)
	</br>
	<?}}?>
	</div>
	
	<?$tpl->Foot();
	
	
	
	
	
	
	