    <?php
    require ('../system/db.php');
    $tpl->Head('Настройки');
    if(!isset($user['id'])){
        header('Location: /');
        exit;
    }
    
    
    
    if(isset($_POST['p_str'])){
        $max = abs(intval($_POST['p_str']));
        $qiwi = abs(intval($_POST['qiwi']));
        $yandex = abs(intval($_POST['yandex']));
        $wmr = abs(intval($wmr));
        $automoney = htmlspecialchars(trim($_POST['autoout']));
        $typeauto = abs(intval($_POST['autoout_type']));
        
        
        $update = $db->prepare('UPDATE `users` SET `max` = ?, `qiwi` = ?, `yandex` = ?, `wmr` = ?, `automoney` = ?, `typeauto` = ? WHERE `id` = ?');
        $update -> execute([$max,$qiwi,$yandex,$wmr,$automoney,$typeauto,$user['id']]);
        $_SESSION['message'] = 'Настройки успешно сохранены';
        header('Location: /user/settings.php');
        exit;
    }
    
    
    
    ?>
<form method="post" action="?">
Колл. пунктов на страницу:<br /><input type="text" name="p_str" value="<?=$user['max'];?>" />
<br />
QIWI:<br /><input type="text" name="qiwi" value ="<?=$user['qiwi'];?>"/>
<br />
Yandex:<br /><input type="text" name="yandex" value="<?=$user['yandex'];?>"/>
<br />
WebMoney R:<br /><input type="text" name="wmr" value="<?=$user['wmr'];?>" />
<br />
Часовой пояс:<br /><select name="time_sdvig">
<option value="-12">9:19</option>
<option value="-11">10:19</option>
<option value="-10">11:19</option>
<option value="-9">12:19</option>
<option value="-8">13:19</option>
<option value="-7">14:19</option>
<option value="-6">15:19</option>
<option value="-5">16:19</option>
<option value="-4">17:19</option>
<option value="-3">18:19</option>
<option value="-2">19:19</option>
<option value="-1">20:19</option>
<option selected="selected" value="0">21:19</option>
<option value="1">22:19</option>
<option value="2">23:19</option>
<option value="3">0:19</option>
<option value="4">1:19</option>
<option value="5">2:19</option>
<option value="6">3:19</option>
<option value="7">4:19</option>
<option value="8">5:19</option>
<option value="9">6:19</option>
<option value="10">7:19</option>
<option value="11">8:19</option>
<option value="12">9:19</option>
</select>
<br />
Автовывод с аккаунта:<br /><select name="autoout">
<option <?if($user['automoney'] == 'off'){?>selected="selected"<?}?> value="off">Отключено</option>
<option  <?if($user['automoney'] == 'day'){?>selected="selected"<?}?> value="day">Ежедневно</option>
<option <?if($user['automoney'] == 'week'){?>selected="selected"<?}?> value="week">Еженедельно</option>
<option <?if($user['automoney'] == 'month'){?>selected="selected"<?}?> value="month">Ежемесячно</option>
</select>
<br />
Автовывод на:<br /><select name="autoout_type">
<option <?if($user['typeauto'] == '1'){?>selected="selected"<?}?> value="1" <?if(empty($user['wmr'])){?>disabled<?}?>>WebMoney</option>
<option <?if($user['typeauto'] == '2'){?>selected="selected"<?}?> value="2" <?if(empty($user['qiwi'])){?>disabled<?}?>>QIWI</option>
<option <?if($user['typeauto'] == '3'){?>selected="selected"<?}?> value="3" <?if(empty($user['yandex'])){?>disabled<?}?>>Yandex.Деньги</option>
</select>
<br />
<input type="submit" name="save" value="Сохранить" />
</form>

 <?$tpl->Foot();