<?php
    require ('../system/db.php');
    $tpl -> Head('Площадки');
    if(!isset($user['id'])){
        header('Location: /');
        exit;
    }
    switch($_GET['act']){
    default;    
    
    if(isset($_POST['name'])){
        $name = htmlspecialchars(trim($_POST['name']));
        $url = htmlspecialchars(trim($_POST['url']));
        $result = htmlspecialchars(trim($_POST['url_result']));
        $success = htmlspecialchars(trim($_POST['url_success']));
        $error = htmlspecialchars(trim($_POST['url_error']));
        $page = htmlspecialchars(trim($_POST['url_tpl']));
        $test = htmlspecialchars(trim($_POST['test']));
        $hash = htmlspecialchars(trim($_POST['hash']));
        $autoout = htmlspecialchars(trim($_POST['autoout']));
        $webmoney = htmlspecialchars(trim($_POST['webmoney']));
        $yandex = htmlspecialchars(trim($_POST['yandex']));
        $wapkassa = htmlspecialchars(trim($_POST['wapkassa']));
        $interkassa = htmlspecialchars(trim($_POST['interkassa']));
        $freekassa = htmlspecialchars(trim($_POST['freekassa']));
        $robokassa = htmlspecialchars(trim($_POST['robokassa']));
        $balans = htmlspecialchars(trim($_POST['balans']));
        
        
        if(empty($name)){
            $_SESSION['error'] = 'Введите название площадки';
            header('Location: /user/shop.php');
            exit;
        }
        
        if(empty($url)){
            $_SESSION['error'] = 'Введите URL площадки';
            header('Location: /user/shop.php');
            exit;
        }
        if(empty($result)){
            $_SESSION['error'] = 'Введите result площадки';
            header('Location: /user/shop.php');
            exit;
        }
        if(empty($success)){
            $_SESSION['error'] = 'Введите success площадки';
            header('Location: /user/shop.php');
            exit;
        }
        if(empty($error)){
            $_SESSION['error'] = 'Введите error площадки';
            header('Location: /user/shop.php');
            exit;
        }
        
        if(empty($hash)){
            $_SESSION['error'] = 'Введите HASH площадки';
            header('Location: /user/shop.php');
            exit;
        }
        
        
        $add = $db->prepare('INSERT INTO `shop` 
(`name`,`url`,`hash`,`success`,`result`,`error`,`page`,`test`,`autoout`,`webmoney`,`yandex`,`interkassa`,`robokassa`,`wapkassa`,`balans`,`freekassa`,`user`)
  VALUES
  (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)');
        $add -> execute([
            $name,
            $url,
            $hash,
            $success,
            $result,
            $error,
            $page,
            $test,
            $autoout,
            $webmoney,
            $yandex,
            $interkassa,
            $robokassa,
            $wapkassa,
            $balans,
            $freekassa,
            $user['id']
            ]);
            $_SESSION['message'] = 'Площадка успешно добавлена';
            header('Location: /user/shop.php');
            exit;
            
        
        
    }
    
    
    
    
    
    $all = $db->prepare('SELECT * FROM `shop` WHERE `user` = ?');
    $all -> execute([$user['id']]);
    $all = $all -> fetchAll();
       
     
       
       
    ?>
    
<div class="port"><img src="/img/port2.png" alt="icon" /> Список моих площадок</div>
  <?if(count($all) > 0){
  foreach($all as $res){
  $work = 'Рабочий';
 if($res['test'] == 1) $work = 'Тестовый';
  $page = 'стандартный';
  if($res['page'] == 1) $page = 'свой';
  $out_array = ['off'=>'отключен','day'=>'раз в день','week'=>'раз в неделю','month'=>'раз в месяц'];
    $allPay = $db->prepare('SELECT * FROM `payments` WHERE `shop` =?');
    $allPay -> execute([$res['id']]);
    $allPay = $allPay -> rowCount();
    
    
     $moneyUs =  $db->prepare('SELECT SUM(`summa`) as sum FROM `payments` WHERE `shop` = ? and `status` > ? and `test` = ?');
            $moneyUs -> execute([$res['id'],1,0]);
            $moneyUs = $moneyUs -> fetch(PDO :: FETCH_ASSOC);
  $allPayYes = $db->prepare('SELECT * FROM `payments` WHERE `shop` =? and `status` > ? and `test` = ?');
    $allPayYes -> execute([$res['id'],1,0]);
    $allPayYes = $allPayYes -> rowCount();
  
  
  ?>
  
<div class="menu"><b>ID площадки:</b> <?=$res['id'];?><br/>
<b>Наименование площадки:</b> <?=$res['name'];?><br/>
<b>URL:</b> <a href="<?=$res['url'];?>">Перейти</a><br/>
<b>Сумма на площадке:</b> <?=$res['money'];?><br/>
<?if($res['status'] == 0){?><b>Модерация:</b> 
	<span style="color:red">На модерации</span>
<br/> <?}?>
<b>Режим работы:</b>  <span style="color:green"><?=$work;?></span> <br/>
<b>Шаблон:</b>  <?=$page;?> <br/>
<b>Автовывод:</b> 
	<span style="color:green"><?=$out_array[$res['autoout']];?></span>
<br/>
<b>Время посл. автовывода:</b> <?=vremja($res['timeout']);?><br />
<b>Время след. автовывода:</b> 23:00:00<br />
<b>Количество заявок на оплату/оплачено/сумма:</b> [<?=$allPay;?> / <?=$allPayYes;?> / <?=$moneyUs['sum'];?> руб.]<br/>
<a href="?act=edit&amp;id=<?=$res['id'];?>">[ред]</a>
<a href="?act=moneyback&amp;id=<?=$res['id'];?>">[вывести]</a>
<a href="?act=tpl&amp;id=<?=$res['id'];?>">[стр. оплаты]</a>
<a href="?act=delete&amp;id=<?=$res['id'];?>">[удалить]</a>
</div>
</div></div>
  <?}}
  else
  {
  
  ?>
  
  <div class="menu"><center>Нет активных площадок</center></div>
  <?}?>
  
  
<div class="port"><img src="/img/port2.png" alt="icon" /> Добавление новой площадки</div>
<div class="menu"><form method="post" action="?">
Наименование площадки:<br/>
<input type="text" name="name" value=""><br/>
URL (с http:// или https://):<br/>
<input type="text" name="url" value=""><br/>
URL Result (с http:// или https://) (при оплате куда перенаправлять):<br/>
<input type="text" name="url_result" value=""><br/>
URL Error (с http:// или https://):<br/>
<input type="text" name="url_error" value=""><br/>
URL Success (с http:// или https://):<br/>
<input type="text" name="url_success" value=""><br/>
HASH:<br/>
<input type="text" name="hash" value=""><br/>
Тестовый режим:<input name="test" type="checkbox" value="1" /><br/>
Своя страница оплаты:<input name="user_tpl" type="checkbox" value="1" /><br/>
Автовывод(<span style="color:red">!NEW</span>):<br/>
<input type="radio" name="autoout" value="off" > Выключен<br/>
<input type="radio" name="autoout" value="day" > Ежедневно<br/>
<input type="radio" name="autoout" value="week" > Еженедельно<br/>
<input type="radio" name="autoout" value="month" > Ежемесячно<br/>
</div>
<div class="port"><img src="http://style.worldkassa.ru/img/port2.png" alt="icon" /> Типы оплаты</div><div class="menu">
WebMoney Merchant (x1):<input name="webmoney" type="checkbox" value="1" /><br/>
<!--QIWI:<input name="qiwi" type="checkbox" value="on" /><br/>
Z-Payment:<input name="zpayment" type="checkbox" value="on" /><br/>-->
RoboKassa:<input name="robokassa" type="checkbox" value="1" /><br/>
Free-Kassa:<input name="freekassa" type="checkbox" value="1" /><br/>
InterKassa:<input name="interkassa" type="checkbox" value="1" /><br/>
SMSCoin:<input name="smscoin" type="checkbox" value="1" disabled/><br/>
Liqpay (Приват24):<input name="liqpay" type="checkbox" value="1" disabled/><br/>
Wapkassa:<input name="wapkassa" type="checkbox" value="1"/><br/>
WorldKassa (оплата с баланса Worldkassa):<input name="balans" type="checkbox" value="1" /><br/>
Яндекс.Деньги (+ Пластиковые карты):<input name="yandex" type="checkbox" value="1" /><br/>
<input type="submit" value="Сохранить" name="save"></div>
</form>
<?
        
     break;
     case 'edit':
         $id = abs(intval($_GET['id']));
         $shop = $db->prepare('SELECT * FROM `shop` WHERE `id` = ? and `user` = ?');
         $shop -> execute([$id,$user['id']]);
         $shop = $shop -> fetch(PDO :: FETCH_ASSOC);
           if(!isset($shop['id'])){
               
               header('Location: /');
               exit;
               
               
           }
           
           
            if(isset($_POST['name'])){
        $name = htmlspecialchars(trim($_POST['name']));
        $url = htmlspecialchars(trim($_POST['url']));
        $result = htmlspecialchars(trim($_POST['url_result']));
        $success = htmlspecialchars(trim($_POST['url_success']));
        $error = htmlspecialchars(trim($_POST['url_error']));
        $page = htmlspecialchars(trim($_POST['url_tpl']));
        $test = htmlspecialchars(trim($_POST['test']));
        $hash = htmlspecialchars(trim($_POST['hash']));
        $autoout = htmlspecialchars(trim($_POST['autoout']));
        $webmoney = htmlspecialchars(trim($_POST['webmoney']));
        $yandex = htmlspecialchars(trim($_POST['yandex']));
        $wapkassa = htmlspecialchars(trim($_POST['wapkassa']));
        $interkassa = htmlspecialchars(trim($_POST['interkassa']));
        $freekassa = htmlspecialchars(trim($_POST['freekassa']));
        $robokassa = htmlspecialchars(trim($_POST['robokassa']));
        $balans = htmlspecialchars(trim($_POST['balans']));
        
        
        if(empty($name)){
            $_SESSION['error'] = 'Введите название площадки';
            header('Location: /user/shop.php');
            exit;
        }
        
        if(empty($url)){
            $_SESSION['error'] = 'Введите URL площадки';
            header('Location: /user/shop.php');
            exit;
        }
        if(empty($result)){
            $_SESSION['error'] = 'Введите result площадки';
            header('Location: /user/shop.php');
            exit;
        }
        if(empty($success)){
            $_SESSION['error'] = 'Введите success площадки';
            header('Location: /user/shop.php');
            exit;
        }
        if(empty($error)){
            $_SESSION['error'] = 'Введите error площадки';
            header('Location: /user/shop.php');
            exit;
        }
        
        if(empty($hash)){
            $_SESSION['error'] = 'Введите HASH площадки';
            header('Location: /user/shop.php');
            exit;
        }
           
           
           $edit = $db->prepare('UPDATE `shop` SET `name` = ?,
           `url` = ?,
           `success` = ?,
           `test` = ?,
           `result` = ?,
           `error` = ?,
           `hash` = ?,
           `page` = ?,
           `autoout` = ?,
           `webmoney` = ?,
           `freekassa` = ?,
           `interkassa` = ?,
           `robokassa` = ?,
           `yandex` = ?,
           `balans` = ?
            WHERE `id` = ?
           ');
           $edit -> execute([$name,
                             $url,
                             $success,
                             $test,
                             $result,
                             $error,
                             $hash,
                             $page,
                             $autoout,
                             $webmoney,
                             $freekassa,
                             $interkassa,
                             $robokassa,
                             $yandex,
                             $balans,
                             $shop['id']]);
           $_SESSION['message'] = 'Площадка успешно отредактирована';
           header('Location: /user/shop.php?act=edit&id='.$shop['id']);
           exit;
            }
           
           
           
           
            $all = $db->prepare('SELECT * FROM `shop` WHERE `user` = ?');
    $all -> execute([$user['id']]);
    $all = $all -> fetchAll();
       
    ?>
    
<div class="port"><img src="/img/port2.png" alt="icon" /> Список моих площадок</div>
  <?if(count($all) > 0){
  foreach($all as $res){
  $work = 'Рабочий';
 if($res['test'] == 1) $work = 'Тестовый';
  $page = 'стандартный';
  if($res['page'] == 1) $page = 'свой';
  $out_array = ['off'=>'отключен','day'=>'раз в день','week'=>'раз в неделю','month'=>'раз в месяц'];
  ?>
  
<div class="menu"><b>ID площадки:</b> <?=$res['id'];?><br/>
<b>Наименование площадки:</b> <?=$res['name'];?><br/>
<b>URL:</b> <a href="<?=$res['url'];?>">Перейти</a><br/>
<b>Сумма на площадке:</b> <?=$res['money'];?><br/>
<?if($res['status'] == 0){?><b>Модерация:</b> 
	<span style="color:red">На модерации</span>
<br/> <?}?>
<b>Режим работы:</b>  <span style="color:green"><?=$work;?></span> <br/>
<b>Шаблон:</b>  <?=$page;?> <br/>
<b>Автовывод:</b> 
	<span style="color:green"><?=$out_array[$res['autoout']];?></span>
<br/>
<b>Время посл. автовывода:</b> <?=vremja($res['timeout']);?><br />
<b>Время след. автовывода:</b> 23:00:00<br />
<b>Количество заявок на оплату/оплачено/сумма:</b> [1 / 0 / 0 руб.]<br/>
<a href="stat.php?id_shop=2827">[ст-тика]</a>
<a href="?act=edit&amp;id=<?=$res['id'];?>">[ред]</a>
<a href="?act=moneyback&amp;id=<?=$res['id'];?>">[вывести]</a>
<a href="?act=tpl&amp;id=<?=$res['id'];?>">[стр. оплаты]</a>
<a href="?act=delete&amp;id=<?=$res['id'];?>">[удалить]</a>
</div>
</div></div>
  <?}}
  else
  {
  
  ?>
  
  <div class="menu"><center>Нет активных площадок</center></div>
  <?}?>
  
  
<div class="port"><img src="/img/port2.png" alt="icon" /> Добавление новой площадки</div>
<div class="menu"><form method="post" action="">
Наименование площадки:<br/>
<input type="text" name="name" value="<?=$shop['name'];?>"><br/>
URL (с http:// или https://):<br/>
<input type="text" name="url" value="<?=$shop['url'];?>"><br/>
URL Result (с http:// или https://) (при оплате куда перенаправлять):<br/>
<input type="text" name="url_result" value="<?=$shop['result'];?>"><br/>
URL Error (с http:// или https://):<br/>
<input type="text" name="url_error" value="<?=$shop['error'];?>"><br/>
URL Success (с http:// или https://):<br/>
<input type="text" name="url_success" value="<?=$shop['success'];?>"><br/>
HASH:<br/>
<input type="text" name="hash" value="<?=$shop['hash'];?>"><br/>
Тестовый режим:<input name="test" type="checkbox" value="1" <?if($shop['test'] == 1){?>checked<?}?>/><br/>
Своя страница оплаты:<input name="user_tpl" type="checkbox" value="1" <?if($shop['page'] == 1){?>checked<?}?>/><br/>
Автовывод(<span style="color:red">!NEW</span>):<br/>
<input type="radio" name="autoout" value="off" <?if($shop['autoout'] == 'off'){?>checked<?}?>> Выключен<br/>
<input type="radio" name="autoout" value="day" <?if($shop['autoout'] == 'day'){?>checked<?}?>> Ежедневно<br/>
<input type="radio" name="autoout" value="week" <?if($shop['autoout'] == 'week'){?>checked<?}?> > Еженедельно<br/>
<input type="radio" name="autoout" value="month" <?if($shop['autoout'] == 'month'){?>checked<?}?>> Ежемесячно<br/>
</div>
<div class="port"><img src="http://style.worldkassa.ru/img/port2.png" alt="icon" /> Типы оплаты</div><div class="menu">
WebMoney Merchant (x1):<input name="webmoney" type="checkbox" value="1" <?if($shop['webmoney'] == 1){?>checked<?}?>/><br/>
<!--QIWI:<input name="qiwi" type="checkbox" value="on" /><br/>
Z-Payment:<input name="zpayment" type="checkbox" value="on" /><br/>-->
RoboKassa:<input name="robokassa" type="checkbox" value="1" <?if($shop['robokassa'] == 1){?>checked<?}?>/><br/>
Free-Kassa:<input name="freekassa" type="checkbox" value="1" <?if($shop['freekassa'] == 1){?>checked<?}?>/><br/>
InterKassa:<input name="interkassa" type="checkbox" value="1" <?if($shop['interkassa'] == 1){?>checked<?}?>/><br/>
SMSCoin:<input name="smscoin" type="checkbox" value="1" disabled/><br/>
Liqpay (Приват24):<input name="liqpay" type="checkbox" value="1" disabled/><br/>
Wapkassa:<input name="wapkassa" type="checkbox" value="1" <?if($shop['wapkassa'] == 1){?>checked<?}?>/><br/>
WorldKassa (оплата с баланса Worldkassa):<input name="balans" type="checkbox" value="1" <?if($shop['balans'] == 1){?>checked<?}?>/><br/>
Яндекс.Деньги (+ Пластиковые карты):<input name="yandex" type="checkbox" value="1" <?if($shop['yandex'] == 1){?>checked<?}?>/><br/>
<input type="submit" value="Сохранить" name="save"></div>
</form>
           
           
        
        
        
        <?
        break;
        
        case 'del':
            
        $id = abs(intval($_GET['id']));
         $shop = $db->prepare('SELECT * FROM `shop` WHERE `id` = ? and `user` = ?');
         $shop -> execute([$id,$user['id']]);
         $shop = $shop -> fetch(PDO :: FETCH_ASSOC);
           if(!isset($shop['id'])){
               
               header('Location: /');
               exit;
               
               
           }
           
           $del = $db-prepare('DELETE FROM `shop` WHERE `id` = ?');
           $del -> execute([$shop['id']]);
           $_SESSION['message'] = 'Площадка успешно удалена';
           header('Location: /user/shop.php');
           exit;
        break;
        case 'moneyback':
            
            
            $id = abs(intval($_GET['id']));
         $shop = $db->prepare('SELECT * FROM `shop` WHERE `id` = ? and `user` = ?');
         $shop -> execute([$id,$user['id']]);
         $shop = $shop -> fetch(PDO :: FETCH_ASSOC);
           if(!isset($shop['id'])){
               
               header('Location: /');
               exit;
               
               
           }
              if(isset($_POST['money'])){
                  $money = htmlspecialchars(trim($_POST['money']));
                  if($money < $shop['money']){
                      $_SESSION['error'] = 'Не достаточно средств';
                      header('Location: ?act=moneyback&amp;id='.$shop['id']);
                      exit;
                  }
                    if($money <= 0){
                        $_SESSION['error'] = 'Не корректная сумма';
                      header('Location: ?act=moneyback&amp;id='.$shop['id']);
                      exit;
                    }
                  $minus = $db->prepare('UPDATE `shop` SET `money` = ? WHERE `id` = ?');
                  $minus -> execute([$shop['money']-$money,$id]);
                  $plus = $db->prepare('UPDATE `users` SET `money` = ? WHERE `id` = ?');
                  $plus -> execute([$user['money']+$money,$user['id']]);
                  $_SESSION['message'] = 'Средства успешно переведены на личный счет';
                  header('Location: /user/shop.php');
                  exit;
            
              }
            ?>
            <div class="port"><img src="/img/port2.png" alt="icon" /> Вывод средств с площадки</div><div class="menu">
		<form method="post" action="?act=moneyback&amp;id=<?=$shop['id'];?>">
		Введите сумму:<br/>
		<input type="text" name="money" value="<?=$shop['money'];?>"><br/>
		<input type="submit" value="Вывести"><br/>
		</form></div>
        
        
        <?
        break;
        
        
        case 'tpl':
            
          
            
            
            $id = abs(intval($_GET['id']));
         $shop = $db->prepare('SELECT * FROM `shop` WHERE `id` = ? and `user` = ?');
         $shop -> execute([$id,$user['id']]);
         $shop = $shop -> fetch(PDO :: FETCH_ASSOC);
           if(!isset($shop['id'])){
               
               header('Location: /');
               exit;
               
               
           }
              if(isset($_POST['css'])){
                  $css = htmlspecialchars(trim($_POST['css']));
                
                    if(empty($css)){
                        $_SESSION['error'] = 'Введите путь до css';
                      header('Location: ?act=tpl&amp;id='.$shop['id']);
                      exit;
                    }
                 
                  $up = $db->prepare('UPDATE `shop` SET `css` = ? WHERE `id` = ?');
                  $up -> execute([$css,$shop['id']]);
                  $_SESSION['message'] = 'Успешно сохранено';
                  header('Location: /user/shop.php');
                  exit;
            
              }
            ?>
            <div class="port"><img src="/img/port2.png" alt="icon" /> Редактирование шаблона</div><div class="menu">
		<form method="post" action="?act=tpl&amp;id=<?=$shop['id'];?>">
		Введите путь до css (с https://):<br/>
		<input type="text" name="css" value="<?=$shop['css'];?>"><br/>
		<input type="submit" value="Изменить"><br/>
		</form></div>
        
        
        <?
        break;
        
            
          
        
        
        
    }






?>
      <?$tpl->Foot();